I'mBoardDocs
API Reference

API Reference

Interactive API reference generated from the I'mBoard OpenAPI 3.1 specification.

The API reference is generated from the OpenAPI 3.1 specification.

You can also download the raw spec:

Base URL

https://app.imboard.ai/api/v1

Authentication

All endpoints require a Bearer token:

Authorization: Bearer imb_pat_...

See Authentication for details.

Endpoints Overview

Me

MethodPathDescription
GET/api/v1/meGet current user profile

Boards

MethodPathDescription
GET/api/v1/boardsList boards
GET/api/v1/boards/:boardIdGet a board

Members

MethodPathDescription
GET/api/v1/boards/:boardId/membersList board members
GET/api/v1/boards/:boardId/members/:memberIdGet a board member

Invites

MethodPathDescription
GET/api/invite/:boardId/invitesList pending invites for a board (legacy)
GET/api/invite/sentList invites sent by the caller (legacy)
GET/api/invite/all-boardsList pending invites grouped by board (legacy)
POST/api/invite/:boardId/testSend a test invite email (legacy)
POST/api/invite/:boardIdCreate (or dedupe onto) an invite (legacy)
POST/api/invite/:boardInviteId/send-emailSend/resend the invite email (legacy)
GET/api/invite/:boardId/codeGet or create the board's invite code (legacy)
PUT/api/invite/accept/:boardInviteIdAccept an invite (legacy)
PUT/api/invite/join/:inviteCodeAccept an invite via invite code (legacy)
GET/api/v1/invite/status/:inviteCodeCheck whether an invite code is pending (public)
PUT/api/invite/decline/:boardInviteIdDecline an invite (legacy)
PUT/api/invite/retract/:boardInviteIdRetract a sent invite (legacy)

Meetings

MethodPathDescription
GET/api/v1/boards/:boardId/meetingsList meetings
GET/api/v1/boards/:boardId/meetings/:meetingIdGet a meeting
POST/api/v1/boards/:boardId/meetingsCreate a meeting
PATCH/api/v1/boards/:boardId/meetings/:meetingIdUpdate a meeting

Action Items

MethodPathDescription
POST/api/v1/boards/:boardId/meetings/:meetingId/action-itemsCreate an action item
GET/api/action-items/myList my action items across all boards (legacy)
PATCH/api/action-items/:actionItemId/statusUpdate an action item's status (legacy)
GET/api/board/:boardId/action-itemsList a board's action items (legacy)
PATCH/api/board/:boardId/action-items/:actionItemIdUpdate a board-scoped action item's status (legacy)

Proposed Slots

MethodPathDescription
GET/api/v1/boards/:boardId/meetings/:meetingId/slotsList proposed slots
POST/api/v1/boards/:boardId/meetings/:meetingId/slotsCreate a proposed slot
PUT/api/v1/boards/:boardId/meetings/:meetingId/slots/:slotId/voteVote on a slot
DELETE/api/v1/boards/:boardId/meetings/:meetingId/slots/:slotIdDelete a slot
POST/api/v1/boards/:boardId/meetings/:meetingId/slots/:slotId/confirmConfirm slot as meeting time

Documents

MethodPathDescription
GET/api/v1/boards/:boardId/documentsList documents
GET/api/v1/boards/:boardId/documents/:documentIdGet a document

Reports

MethodPathDescription
GET/api/v1/boards/:boardId/reportsList reports
GET/api/v1/boards/:boardId/reports/:reportIdGet a report

Dashboards

MethodPathDescription
GET/api/v1/boards/:boardId/reports/:reportId/dashboardsList dashboards
GET/api/v1/boards/:boardId/reports/:reportId/dashboards/:dashboardIdGet a dashboard

Audit Log

MethodPathDescription
GET/api/auditlog/:boardIdGet the audit trail for a board (legacy, admin-only)

Notifications

MethodPathDescription
GET/api/notification/List notifications (legacy)
PUT/api/notification/read/allMark all notifications as read (legacy)
PUT/api/notification/read/:notificationIdMark a single notification as read (legacy)
DELETE/api/notification/:notificationIdDelete a notification (legacy)
GET/api/notification/preferencesGet notification preferences (legacy)
PUT/api/notification/preferencesUpdate a notification preference (legacy)

On this page